<div class="documentation-content-container">
  <section class="mat-typography">
    <h2>Data Upload</h2>
    <p>
      Lorem, ipsum dolor sit amet consectetur adipisicing elit. Exercitationem
      atque nihil ratione, sit beatae fugit sequi labore amet voluptatum, cumque
      excepturi natus minus alias eum obcaecati facere distinctio veniam
      officia.
    </p>
  </section>

  <div class="outer-form-container">
    <form [formGroup]="formModel" (ngSubmit)="submitCalculatorConfig()">
      <div class="inner-form-container">
        <mat-form-field appearance="outline" class="w-full">
          <ngx-mat-file-input
            placeholder="Select experimental data file"
            [formControl]="this.formModel.controls.experimentalData"
          >
          </ngx-mat-file-input>
          <mat-error *ngIf="this.formModel.get('experimentalData').invalid">{{
            getErrorMessage(this.formModel.get("experimentalData"))
          }}</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline" class="w-full">
          <ngx-mat-dropzone placeholder="Select one or more pathway files">
            <input
              type="file"
              fileInput
              multiple
              [formControl]="this.formModel.controls.pathwayFiles"
            />
          </ngx-mat-dropzone>

          <div class="pr-7" matSuffix>
            <mat-icon color="primary">upload_file</mat-icon>
          </div>

          <mat-chip-row *ngFor="let file of files" (removed)="remove(file)">
            {{ file.name }}
            <button matChipRemove>
              <mat-icon>cancel</mat-icon>
            </button>
          </mat-chip-row>

          <mat-error *ngIf="this.formModel.get('pathwayFiles').invalid">{{
            getErrorMessage(this.formModel.get("pathwayFiles"))
          }}</mat-error>
        </mat-form-field>
      </div>

      <div class="form-button-grid">
        <button
          class="col-span-2"
          [disabled]="!formModel.valid || (formDisabled$ | async)"
          mat-flat-button
          color="accent"
        >
          Next
        </button>
      </div>
    </form>
  </div>
</div>
